ruby-power-assert_0.3.0-1_all.deb


Advertisement

Description

ruby-power-assert - library showing values of variables and method calls in an expression

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name ruby-power-assert
Package version 0.3.0
Package release 1
Package architecture all
Package type deb
Installed size 35 B
Download size 7.77 KB
Official Mirror archive.ubuntu.com
Power Assert shows each value of variables and method calls in the
expression. It is useful for testing, providing which value wasn't
correct when the condition is not satisfied.

Alternatives

Package Version Architecture Repository
ruby-power-assert_0.3.0-1_all.deb 0.3.0 all Ubuntu Main
ruby-power-assert - - -

Download

Type URL
Binary Package ruby-power-assert_0.3.0-1_all.deb
Source Package ruby-power-assert

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-power-assert deb package:
    # sudo apt-get install ruby-power-assert

Files

Path
/usr/lib/ruby/vendor_ruby/power_assert.rb
/usr/lib/ruby/vendor_ruby/power_assert/enable_tracepoint_events.rb
/usr/lib/ruby/vendor_ruby/power_assert/version.rb
/usr/share/doc/ruby-power-assert/changelog.Debian.gz
/usr/share/doc/ruby-power-assert/copyright
/usr/share/rubygems-integration/all/specifications/power_assert-0.2.7.gemspec

Changelog

2016-06-04 - Cédric Boutillier <boutil@debian.org>
ruby-power-assert (0.3.0-1) unstable; urgency=medium
* Imported Upstream version 0.3.0
* Use https:// in Vcs-* fields
* Run wrap-and-sort on packaging files
* Update year in copyright
* Bump Standards-Version to 3.9.8 (no changes needed)
2016-03-01 - Christian Hofstaedtler <zeha@debian.org>
ruby-power-assert (0.2.7-1) unstable; urgency=medium
* Team upload.
* Update packaging using dh-make-ruby -w
* Drop dependency on ruby to reduce dependency cycle with ruby2.3
* Set Multi-Arch: foreign to allow crossinstall of ruby itself
* Imported Upstream version 0.2.7, fixes test failure on ruby2.3
2015-12-28 - Antonio Terceiro <terceiro@debian.org>
ruby-power-assert (0.2.6-1) unstable; urgency=medium
* Team upload
* New upstream release
2015-05-12 - Cédric Boutillier <boutil@debian.org>
ruby-power-assert (0.2.3-1) unstable; urgency=medium
* Initial release (Closes: #784583)

See Also

Package Description
ruby-test-unit_3.2.5-1_all.deb unit testing framework for Ruby
ruby2.5-dev_2.5.1-1ubuntu1_amd64.deb Header files for compiling extension modules for the Ruby 2.5
ruby2.5-doc_2.5.1-1ubuntu1_all.deb Documentation for Ruby 2.5
ruby2.5_2.5.1-1ubuntu1_amd64.deb Interpreter of object-oriented scripting language Ruby
ruby_2.5.1_amd64.deb Interpreter of object-oriented scripting language Ruby (default version)
rubygems-integration_1.11_all.deb integration of Debian Ruby packages with Rubygems
run-one_1.17-0ubuntu1_all.deb run just one instance of a command and its args at a time
sa-compile_3.4.1-8build1_all.deb Tools for compiling SpamAssassin rules into C
samba-common-bin_4.7.6+dfsg~ubuntu-0ubuntu2_amd64.deb Samba common files used by both the server and the client
samba-common_4.7.6+dfsg~ubuntu-0ubuntu2_all.deb common files used by both the Samba server and client
samba-dev_4.7.6+dfsg~ubuntu-0ubuntu2_amd64.deb tools for extending Samba
samba-dsdb-modules_4.7.6+dfsg~ubuntu-0ubuntu2_amd64.deb Samba Directory Services Database
samba-libs_4.7.6+dfsg~ubuntu-0ubuntu2_amd64.deb Samba core libraries
samba-vfs-modules_4.7.6+dfsg~ubuntu-0ubuntu2_amd64.deb Samba Virtual FileSystem plugins
samba_4.7.6+dfsg~ubuntu-0ubuntu2_amd64.deb SMB/CIFS file, print, and login server for Unix
Advertisement
Advertisement